const players = [
    'Paolo Rovella',
    'Riccardo Caranfil',
    'Tommaso Sebastianelli',
    'Mahdieh Sedaghat',
    'Alessio Palladino',
    'Elena Giusti',
    'Melisa Abuin',
    'Michael Genesini',
    'Simone Andreani',
    'David Sorrentino'
]

function shuffle(array) {
    let j, x, i;
    for (i = array.length - 1; i > 0; i--) {
        j = Math.floor(Math.random() * (i + 1));
        x = array[i];
        array[i] = array[j];
        array[j] = x;
    }
    return array;
}

const group1 = shuffle([...players]);
const group2 = group1.splice(0, players.length >> 1); 

console.log(`Group 1 - Valerio`)
console.log(group1)

console.log('Group 2 - Yaro')
console.log(group2);